aboutsummaryrefslogtreecommitdiffstats
path: root/SoftHSMv2/testing/travis/travis.sh
diff options
context:
space:
mode:
authorNingSun <ning.sun@intel.com>2018-02-08 08:34:03 -0800
committerNingSun <ning.sun@intel.com>2018-02-08 09:14:52 -0800
commit0c89b3ccba7c9b7332ab67ae1936aff51ca62367 (patch)
tree70c1b1d160d4c6d0a83395ca9a87c1264d0d3439 /SoftHSMv2/testing/travis/travis.sh
parent945613b4db4e07f75d2bc7463db580ddfaa700fd (diff)
Initial sshsm project structure
Issue-ID: AAF-94 Change-Id: I5e82fff418e7567b161acf9b98013a9b85ffc5b4 Signed-off-by: NingSun <ning.sun@intel.com>
Diffstat (limited to 'SoftHSMv2/testing/travis/travis.sh')
-rw-r--r--SoftHSMv2/testing/travis/travis.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/SoftHSMv2/testing/travis/travis.sh b/SoftHSMv2/testing/travis/travis.sh
new file mode 100644
index 0000000..6a1ca1f
--- /dev/null
+++ b/SoftHSMv2/testing/travis/travis.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+CONF_CRYPTO=""
+CONF_OBJSTORE=""
+
+case $CRYPTO in
+botan)
+ CONF_CRYPTO="$CONF_CRYPTO --with-crypto-backend=botan --with-botan=/usr"
+ CONF_CRYPTO="$CONF_CRYPTO --disable-ecc --disable-gost"
+ ;;
+openssl)
+ CONF_CRYPTO="$CONF_CRYPTO --with-crypto-backend=openssl --with-openssl=/usr"
+ CONF_CRYPTO="$CONF_CRYPTO --disable-gost"
+ openssl version -a
+ ;;
+*)
+ echo "Unknown crypto backend"
+ exit 1
+esac
+
+case $OBJSTORE in
+file)
+ CONF_OBJSTORE="$CONF_OBJSTORE"
+ ;;
+sqlite)
+ CONF_OBJSTORE="$CONF_OBJSTORE --with-objectstore-backend-db --with-migrate"
+ ;;
+*)
+ echo "Unknown objectstore backend"
+ exit 1
+esac
+
+sh autogen.sh && \
+./configure $CONF_CRYPTO $CONF_OBJSTORE && \
+make all check